Back to index

salome-geom  6.5.0
GEOM_example5.py
Go to the documentation of this file.
00001 #  -*- coding: iso-8859-1 -*-
00002 # Copyright (C) 2007-2012  CEA/DEN, EDF R&D, OPEN CASCADE
00003 #
00004 # Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
00005 # CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
00006 #
00007 # This library is free software; you can redistribute it and/or
00008 # modify it under the terms of the GNU Lesser General Public
00009 # License as published by the Free Software Foundation; either
00010 # version 2.1 of the License.
00011 #
00012 # This library is distributed in the hope that it will be useful,
00013 # but WITHOUT ANY WARRANTY; without even the implied warranty of
00014 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
00015 # Lesser General Public License for more details.
00016 #
00017 # You should have received a copy of the GNU Lesser General Public
00018 # License along with this library; if not, write to the Free Software
00019 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
00020 #
00021 # See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
00022 #
00023 
00024 #  GEOM GEOM_SWIG : binding of C++ omplementaion with Python
00025 #  File   : GEOM_example5.py
00026 #  Author : Damien COQUERET, Open CASCADE
00027 #  Module : GEOM
00028 #  $Header: /home/server/cvs/GEOM/GEOM_SRC/src/GEOM_SWIG/GEOM_example5.py,v 1.7.2.2.10.2.14.1 2012-04-13 05:48:08 vsr Exp $
00029 #
00030 import salome
00031 import geompy
00032 
00033 geom = salome.lcc.FindOrLoadComponent("FactoryServer", "GEOM")
00034 
00035 #Create Points
00036 BasicOp = geom.GetIBasicOperations(salome.myStudyId)
00037 Vertex1 = BasicOp.MakePointXYZ(0., 0., 0.)
00038 Vertex2 = BasicOp.MakePointXYZ(100., 20., 30.)
00039 Vertex3 = BasicOp.MakePointXYZ(150., 100., -25.)
00040 Vertex4 = BasicOp.MakePointXYZ(40., -80., 79.)
00041 
00042 #GEOM_Objects List for Splines
00043 GOList = []
00044 GOList.append(Vertex1)
00045 GOList.append(Vertex2)
00046 GOList.append(Vertex3)
00047 GOList.append(Vertex4)
00048 
00049 #Create Splines
00050 Bezier   = geompy.MakeBezier(GOList)
00051 Interpol = geompy.MakeInterpol(GOList)
00052 
00053 #Add In Study
00054 id_Bezier   = geompy.addToStudy(Bezier,   "Bezier")
00055 id_Interpol = geompy.addToStudy(Interpol, "Interpol")